const e = {
  neutral: {
    N900: "#091E42",
    N800: "#172B4D",
    N700: "#253858",
    N600: "#344563",
    N500: "#42526E",
    N400: "#505F79",
    N300: "#5E6C84",
    N200: "#6B778C",
    N100: "#7A869A",
    N90: "#7A869A",
    N80: "#97A0AF",
    N70: "#A5ADBA",
    N60: "#B3BAC5",
    N50: "#B3BAC5",
    N40: "#DFE1E6",
    N30: "#EBECF0",
    N20: "#F4F5F7",
    N10: "#FAFBFC",
    N0: "#FFFFFF"
  },
  neutralAlpha: {
    N900A: "rgba(9, 30, 66, 1)",
    N800A: "rgba(9, 30, 66, 0.95)",
    N700A: "rgba(9, 30, 66, 0.89)",
    N600A: "rgba(9, 30, 66, 0.82)",
    N500A: "rgba(9, 30, 66, 0.77)",
    N400A: "rgba(9, 30, 66, 0.71)",
    N300A: "rgba(9, 30, 66, 0.66)",
    N200A: "rgba(9, 30, 66, 0.60)",
    N100A: "rgba(9, 30, 66, 0.54)",
    N90A: "rgba(9, 30, 66, 0.48)",
    N80A: "rgba(9, 30, 66, 0.42)",
    N70A: "rgba(9, 30, 66, 0.36)",
    N60A: "rgba(9, 30, 66, 0.31)",
    N50A: "rgba(9, 30, 66, 0.25)",
    N40A: "rgba(9, 30, 66, 0.13)",
    N30A: "rgba(9, 30, 66, 0.08)",
    N20A: "rgba(9, 30, 66, 0.04)",
    N10A: "rgba(9, 30, 66, 0.02)",
    N0A: "rgba(9, 30, 66, 0)"
  },
  red: {
    R500: "#BF2600",
    R400: "#DE350B",
    R300: "#FF5630",
    R200: "#FF7452",
    R100: "#FF8F73",
    R75: "#FFBDAD",
    R50: "#FFEBE6"
  },
  yellow: {
    Y500: "#FF8B00",
    Y400: "#FF991F",
    Y300: "#FFAB00",
    Y200: "#FFC400",
    Y100: "#FFE380",
    Y75: "#FFF0B3",
    Y50: "#FFFAE6"
  },
  green: {
    G500: "#006644",
    G400: "#00875A",
    G300: "#36B37E",
    G200: "#57D9A3",
    G100: "#79F2C0",
    G75: "#ABF5D1",
    G50: "#E3FCEF"
  },
  blue: {
    B500: "#0747A6",
    B400: "#0052CC",
    B300: "#0065FF",
    B200: "#2684FF",
    B100: "#4C9AFF",
    B75: "#B3D4FF",
    B50: "#DEEBFF"
  },
  teal: {
    T500: "#008DA6",
    T400: "#00A3BF",
    T300: "#00B8D9",
    T200: "#00C7E6",
    T100: "#79E2F2",
    T75: "#B3F5FF",
    T50: "#E6FCFF"
  },
  purple: {
    P500: "#403294",
    P400: "#5243AA",
    P300: "#6554C0",
    P200: "#8777D9",
    P100: "#998DD9",
    P75: "#C0B6F2",
    P50: "#E6FCFF"
  }
}, r = {
  primary: {
    regular: e.blue.B400,
    hover: e.blue.B300,
    disabled: e.neutral.N70
  },
  error: {
    regular: e.red.R400,
    hover: e.red.R300,
    disabled: e.neutral.N70
  },
  warning: {
    regular: e.yellow.Y400,
    hover: e.yellow.Y300,
    disabled: e.neutral.N70
  },
  success: {
    regular: e.green.G400,
    hover: e.green.G300,
    disabled: e.neutral.N70
  },
  help: {
    regular: e.purple.P400,
    hover: e.purple.P300,
    disabled: e.neutral.N70
  },
  information: {
    regular: e.blue.B400,
    hover: e.blue.B300,
    disabled: e.neutral.N70
  },
  dark: {
    regular: e.neutral.N900,
    hover: e.neutral.N500,
    disabled: e.neutral.N70
  },
  gray: {
    regular: e.neutral.N300,
    hover: e.neutral.N200,
    disabled: e.neutral.N70
  },
  light: {
    regular: e.neutral.N10,
    hover: e.neutral.N0,
    disabled: e.neutral.N70
  },
  link: {
    regular: e.blue.B400,
    hover: e.blue.B300,
    disabled: e.neutral.N70
  }
}, l = {
  primary: {
    regular: e.blue.B400,
    hover: e.blue.B300,
    focus: e.blue.B300,
    disabled: e.neutral.N70
  },
  error: {
    regular: e.red.R400,
    hover: e.red.R300,
    disabled: e.neutral.N70
  },
  warning: {
    regular: e.yellow.Y400,
    hover: e.yellow.Y300,
    disabled: e.neutral.N70
  },
  success: {
    regular: e.green.G400,
    hover: e.green.G300,
    disabled: e.neutral.N70
  },
  information: {
    regular: e.blue.B400,
    hover: e.blue.B300,
    disabled: e.neutral.N70
  },
  help: {
    regular: e.purple.P400,
    hover: e.purple.P300,
    disabled: e.neutral.N70
  },
  divider: {
    regular: e.neutral.N40
  },
  spinner: {
    regular: e.neutral.N30,
    transparent: e.neutralAlpha.N0A
  },
  dark: {
    regular: e.neutral.N900,
    hover: e.neutral.N500,
    disabled: e.neutral.N70
  },
  gray: {
    regular: e.neutral.N200,
    hover: e.neutral.N90,
    disabled: e.neutral.N70
  },
  light: {
    regular: e.neutral.N10,
    hover: e.neutral.N0,
    disabled: e.neutral.N60
  },
  link: {
    regular: e.blue.B400,
    hover: e.blue.B300,
    disabled: e.neutral.N70
  }
}, a = {
  primary: {
    regular: e.blue.B400,
    hover: e.blue.B300,
    clear: e.blue.B50,
    disabled: e.neutral.N20
  },
  error: {
    regular: e.red.R400,
    hover: e.red.R300,
    clear: e.red.R50,
    disabled: e.neutral.N20
  },
  warning: {
    regular: e.yellow.Y400,
    hover: e.yellow.Y300,
    clear: e.yellow.Y50,
    disabled: e.neutral.N20
  },
  success: {
    regular: e.green.G400,
    hover: e.green.G300,
    clear: e.green.G50,
    disabled: e.neutral.N20
  },
  information: {
    regular: e.blue.B400,
    hover: e.blue.B300,
    clear: e.blue.B50,
    disabled: e.neutral.N20
  },
  help: {
    regular: e.purple.P400,
    hover: e.purple.P300,
    clear: e.purple.P50,
    disabled: e.neutral.N20
  },
  nav: {
    regular: e.neutral.N10
  },
  navLink: {
    regular: e.neutralAlpha.N0A,
    selected: e.neutral.N30,
    hover: e.neutral.N30
  },
  blanket: {
    regular: e.neutralAlpha.N100A
  },
  dark: {
    regular: e.neutral.N900,
    hover: e.neutral.N500,
    clear: e.neutral.N30,
    disabled: e.neutral.N20
  },
  gray: {
    regular: e.neutral.N30,
    hover: e.neutral.N20,
    clear: e.neutral.N10,
    disabled: e.neutral.N20
  },
  light: {
    regular: e.neutral.N10,
    hover: e.neutral.N0,
    clear: e.neutral.N0,
    disabled: e.neutral.N20
  }
}, u = {
  palette: e,
  text: r,
  stroke: l,
  surface: a
};
export {
  u as color
};
